<template>
  <div class="d-none d-md-block">
    <nav class="navbar navbar-expand-md navbar-dark menu_style py-4 py-md-4">
      <div class="container">
        <div class="collapse navbar-collapse" v-if="data.section_menu">
          <ul class="navbar-nav mb-2 mb-lg-0 m-auto">
            <li class="nav-item" v-if="data.section_menu.home_icon">
              <a
                class="nav-link navbar_style"
                role="button"
                @click="$router.push({ path: '/' })"
              >
                <img :src="data.section_menu.home_icon.value" />
                {{ data.section_menu.text_home.value }}
              </a>
            </li>
            <li class="nav-item" v-if="data.section_menu.megaphone_icon">
              <a
                class="nav-link navbar_style"
                role="button"
                @click="$router.push({ path: '/promotion' })"
              >
                <img :src="data.section_menu.megaphone_icon.value" />
                {{ data.section_menu.text_promotion.value }}
              </a>
            </li>
            <li class="nav-item" v-if="data.section_menu.sport_icon">
              <a
                class="nav-link navbar_style"
                role="button"
                @click="$router.push({ path: '/sport' })"
              >
                <img :src="data.section_menu.sport_icon.value" />
                {{ data.section_menu.text_sport.value }}
              </a>
            </li>
            <li class="nav-item" v-if="data.section_menu.casino_icon">
              <a
                class="nav-link navbar_style"
                role="button"
                @click="$router.push({ path: '/casino' })"
              >
                <img :src="data.section_menu.casino_icon.value" />
                {{ data.section_menu.text_casino.value }}
              </a>
            </li>
            <li class="nav-item" v-if="data.section_menu.slot_icon">
              <a
                class="nav-link navbar_style"
                role="button"
                @click="$router.push({ path: '/slot' })"
              >
                <img :src="data.section_menu.slot_icon.value" />
                {{ data.section_menu.text_slot.value }}
              </a>
            </li>
            <li class="nav-item" v-if="data.section_menu.horse_icon">
              <a
                class="nav-link navbar_style"
                role="button"
                @click="$router.push({ path: '/horse' })"
              >
                <img :src="data.section_menu.horse_icon.value" />
                {{ data.section_menu.text_horse.value }}
              </a>
            </li>
            <li class="nav-item" v-if="data.section_menu.esport_icon">
              <a
                class="nav-link navbar_style"
                role="button"
                @click="$router.push({ path: '/esport' })"
              >
                <img :src="data.section_menu.esport_icon.value" />
                {{ data.section_menu.text_esport.value }}
              </a>
            </li>
            <li class="nav-item" v-if="data.section_menu.fishing_icon">
              <a
                class="nav-link navbar_style"
                role="button"
                @click="$router.push({ path: '/fishing' })"
              >
                <img :src="data.section_menu.fishing_icon.value" />
                {{ data.section_menu.text_fishing.value }}
              </a>
            </li>
            <li class="nav-item" v-if="data.section_menu.lotto_icon">
              <a
                class="nav-link navbar_style"
                role="button"
                @click="$router.push({ path: '/' })"
              >
                <img
                  class="margin-top-lotto"
                  :src="data.section_menu.lotto_icon.value"
                />
                {{ data.section_menu.text_lotto.value }}
              </a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
  </div>
</template>

<script>
export default {
  data() {
    return {
      data: {
        section_menu: [],
      },
      isloadding: true,
    };
  },

  async beforeMount() {
    this.GetData();
  },
  methods: {
    isFormat(temp, current) {
      for (let key in temp) {
        if (!Object.keys(current).includes(key)) {
          return false;
        }
      }
      return true;
    },
    async addStyle() {
      for (const [key, v] of Object.entries(this.data)) {
        if (typeof v === "object") {
          for (const [k, val] of Object.entries(v)) {
            if (val.type == "color") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                val.value
              );
            } else if (val.type == "image") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                `url(${val.value})`
              );
            }
          }
        }
      }
    },
    async GetData() {
      try {
        // const url = "http://" + window.location.host + "/get.php";
        // let {data} = await this.$axios.get('/get.php?code_name='+md5);
        this.isloadding = true;
        let { data } = await this.$axios.get("/get_winbet97.json");

        // let { data } = await this.$axios.get(
        //   "https://admin-static-api-ehhif4jpyq-as.a.run.app/api/Static/ab1e389ef2852fb41d6d3c68fb252370"
        // );

        this.data = await this.mapSectionData(data);
        if (this.data) {
          this.addStyle();
        }
        this.componentKey += 1;
        this.isloadding = false;

        // console.log("this.isloadding ", this.isloadding);
        return true;
      } catch (error) {
        console.log(error);
        const { response } = error;
        if (response) {
          const { status } = response;
          if (!status) {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            return false;
          } else if (status === 200) {
            console.log("Error is ok");
          } else if (status === 404) {
            this.$router.push({
              path: "/404",
              query: { message: response.data.message },
            });
            console.log("is invalid or not found");
            // this.$swal("is invalid or not found");
            return false;
          } else {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            // console.log(" is under maintainance with custom message");
            // this.$swal("is under maintainance with custom message");
            return false;
          }
        } else {
          console.log(error);
          this.$router.push({
            path: "/400",
            query: { message: "server is not responding" },
          });
          // this.$swal("is invalid or not found 3");
          return false;
        }

        // console.log("500");
      }
    },

    mapSectionData(data) {
      for (let key in data) {
        if (typeof data[key] === "object") {
          data[key] = data[key].reduce(function (map, value) {
            map[value.name] = value;
            return map;
          }, {});
        }
      }
      return data;
    },
  },
};
</script>
